#include "predef.h"
#include <stdio.h>
#include <ctype.h>
#include <startnet.h>
#include <autoupdate.h>
#include <dhcpclient.h>
#include <NetworkDebug.h>


extern "C" {
void UserMain(void * pd);
void getHTMLTicks(int sock, PCSTR url);
}

void getHTMLTicks(int sock, PCSTR url) {
	char tick[40];
	siprintf(tick, "%d", TimeTick);
	writestring(sock, tick);
}

const char * AppName="SimpleAjaxHTML";

void UserMain(void * pd) {
    InitializeStack();
    if (EthernetIP == 0) GetDHCPAddress();
    OSChangePrio(MAIN_PRIO);
    EnableAutoUpdate();
    StartHTTP();

    #ifdef _DEBUG
    InitializeNetworkGDB_and_Wait();
    #endif

    iprintf("Application started\n");
    while (1) {
        OSTimeDly(20);
    }
}
